qiuyang před 1 rokem
rodič
revize
c07b05736a

+ 0 - 0
check_tacks/check_rinetd.sh


+ 2 - 2
check_tacks/check_rtsp.sh

@@ -18,7 +18,7 @@ fi
 if [ $lost_rate -eq 0 ]
 then
     echo "rtsp ok"
-    ps -ef | grep "birdy" | grep -v "grep"
+    ps -ef | grep "gsd" | grep -v "grep"
     if [ $? -eq 1 ]
     then
         echo "Rtsp服务恢复,重启服务! $date" >> /opt/datas/log/network/check_rtsp.log
@@ -30,7 +30,7 @@ then
 elif [ $lost_rate -le 100 ]
 then
     echo "rtsp error"
-    ps -ef | grep "birdy" | grep -v "grep"
+    ps -ef | grep "gsd" | grep -v "grep"
     if [ $? -eq 1 ]
     then
         echo "rtsp服务异常,等待服务恢复 $date" >> /opt/datas/log/network/check_rtsp.log

+ 15 - 0
check_tacks/check_temp.sh

@@ -0,0 +1,15 @@
+#!/bin/bash
+Cluster=`cnmon info | grep "Cluster 0"`
+info=${Cluster}
+b=${info//[A-Za-z :]/}
+temp=${b:1}
+echo "temp:$temp℃"
+
+if[ $temp -gt 85 ]
+then
+    ehco "Temperature is too high, Portal algorithm service"
+    docker stop gsd_cnstream_1
+    exit 1
+else
+    exit 0
+fi

+ 2 - 5
stop/reboot_System.sh

@@ -2,11 +2,8 @@
 
 source /etc/profile
 
-source /opt/GSD/stop/stop_Systeam.sh
-
 date="`date '+%Y-%m-%d %H:%M:%S'`"
 echo "restart System  $date" >> /opt/GSD/log/reboot.log
 
-sleep 10
-
-source /opt/GSD/start/start_System.sh
+cd /opt/GSD
+docker-compose restart